%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  sdcLog
%global packver   0.5.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.5.1
Release:          1%{?dist}%{?buildtag}
Summary:          Tools for Statistical Disclosure Control in Research Data Centers

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5
Requires:         R-core >= 3.5
BuildArch:        noarch
BuildRequires:    R-CRAN-checkmate >= 2.0.0
BuildRequires:    R-CRAN-data.table >= 1.12.8
BuildRequires:    R-CRAN-broom >= 0.5.5
BuildRequires:    R-CRAN-cli 
BuildRequires:    R-CRAN-mathjaxr 
BuildRequires:    R-stats 
BuildRequires:    R-utils 
Requires:         R-CRAN-checkmate >= 2.0.0
Requires:         R-CRAN-data.table >= 1.12.8
Requires:         R-CRAN-broom >= 0.5.5
Requires:         R-CRAN-cli 
Requires:         R-CRAN-mathjaxr 
Requires:         R-stats 
Requires:         R-utils 

%description
Tools for researchers to explicitly show that their results comply to
rules for statistical disclosure control imposed by research data centers.
These tools help in checking descriptive statistics and models and in
calculating extreme values that are not individual data. Also included is
a simple function to create log files. The methods used here are described
in the "Guidelines for the checking of output based on microdata research"
by Bond, Brandt, and de Wolf (2015)
<https://cros.ec.europa.eu/system/files/2024-02/Output-checking-guidelines.pdf>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
